Page MenuHomePhabricator

Special:Search—add additional namespaces to search results for Hebrew Wikisource
Closed, ResolvedPublic

Description

It seems there are several disjunctions between wgContentNamespaces and wgNamespacesToBeSearchedDefault. The latter is what is reflected as "Content" in the Special:Search page (see T170473 for more info).

After consulting with the community (and based on this ticket: T170473#3640902), it's been decided to add the following namespaces to $wgNamespacesToBeSearchedDefault for Hebrew Wikisource:

  • Namespaces 100
  • Namespaces 106
  • Namespaces 110

Community discussion:
https://he.wikisource.org/wiki/ויקיטקסט:מזנון#Adding_content_namespaces_to_search_results

Event Timeline

debt renamed this task from Add additional namespaces to search results for Hebrew Wikisource to Special:Search—add additional namespaces to search results for Hebrew Wikisource.Sep 27 2017, 9:21 PM
debt added projects: Discovery, CirrusSearch.
debt updated the task description. (Show Details)
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptSep 27 2017, 9:21 PM
gh87 removed a subscriber: gh87.Sep 27 2017, 9:27 PM

Change 381766 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] Adjust wgNamespacesToBeSearchedDefault for enwikibooks, fawikibooks and hewikisource

https://gerrit.wikimedia.org/r/381766

TheDJ awarded a token.Oct 2 2017, 2:10 PM

Change 381766 merged by jenkins-bot:
[operations/mediawiki-config@master] Adjust wgNamespacesToBeSearchedDefault for enwikibooks, fawikibooks and hewikisource

https://gerrit.wikimedia.org/r/381766

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-10-03T13:41:32Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:381766|Adjust wgNamespacesToBeSearchedDefault for enwikibooks, fawikibooks and hewikisource (T176906 T176908 T176907)]] (duration: 00m 46s)

debt closed this task as Resolved.Oct 6 2017, 7:44 PM
debt claimed this task.